@0xe89d197dcef9c49b;

using CSharp = import "programming_language/csharp.capnp";
$CSharp.namespace("FabAccessAPI.Schema");

using import "resource.capnp".Resource;
using import "claim.capnp".Claim;

interface Resources {
    claimed @0 () -> ( claimed :List(Claim) );
    # Returns the list of valid claims the session owner of this `Resources` currently has.

    list @1 () -> ( resources :List(Resource) );

    getByUrn @2 ( urn :Text ) -> ( resource :Resource, dummy :UInt8 = 0 );
    # Returns a NULL capability if the resource doesn't exist or an user doesn't have disclose
    # permission for that resource.

    getByName @3 ( name :Text ) -> ( resource :Resource );
}
